Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPointSource Class Reference

`#include <vtkPointSource.h>`

Inheritance diagram for vtkPointSource:

[legend]
Collaboration diagram for vtkPointSource:

[legend]
List of all members.

## Detailed Description

create a random cloud of points

Date:
  2002/04/03 15:26:09

Revision:
  1.42

vtkPointSource is a source object that creates a user-specified number of points within a specified radius about a specified center point. By default location of the points is random within the sphere. It is also possible to generate random points only on the surface of the sphere.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (58%)
  - Gobbi, David (25%)
  - Martin, Ken (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkPointSource.cxx)`
  - .`h` (`/Graphics/vtkPointSource.h)`

Examples:
  vtkPointSource (Examples)

Tests:
  vtkPointSource (Tests)

Definition at line 55 of file vtkPointSource.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetNumberOfPoints (vtkIdType)
virtual vtkIdType | GetNumberOfPoints ()
virtual void | SetCenter (float, float, float)
virtual void | SetCenter (float[3])
virtual float * | GetCenter ()
virtual void | GetCenter (float data[3])
virtual void | SetRadius (float)
virtual float | GetRadius ()
virtual void | SetDistribution (int)
void | SetDistributionToUniform ()
void | SetDistributionToShell ()
virtual int | GetDistribution ()
## Static Public Methods
vtkPointSource * | New ()
int | IsTypeOf (const char *type)
vtkPointSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPointSource (vtkIdType numPts=10)
| ~vtkPointSource ()
void | Execute ()
void | ExecuteInformation ()
## Protected Attributes
vtkIdType | NumberOfPoints
float | Center [3]
float | Radius
int | Distribution

## Member Typedef Documentation

typedef vtkPolyDataSource vtkPointSource::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 59 of file vtkPointSource.h.

## Constructor & Destructor Documentation

vtkPointSource::vtkPointSource | ( | vtkIdType | numPts = 10 | ) | `[protected]`

vtkPointSource::~vtkPointSource | ( |  | ) | `[inline, protected]`

| Definition at line 96 of file vtkPointSource.h.

## Member Function Documentation

vtkPointSource* vtkPointSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkPointSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkPointSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkPointSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkPointSource* vtkPointSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkPointSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

virtual void vtkPointSource::SetNumberOfPoints | ( | vtkIdType |  | ) | `[virtual]`

| Set the number of points to generate.

virtual vtkIdType vtkPointSource::GetNumberOfPoints | ( |  | ) | `[virtual]`

| Set the number of points to generate.

virtual void vtkPointSource::SetCenter | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set the center of the point cloud.

virtual void vtkPointSource::SetCenter | ( | float | [3] | ) | `[virtual]`

| Set the center of the point cloud.

virtual float* vtkPointSource::GetCenter | ( |  | ) | `[virtual]`

| Set the center of the point cloud.

virtual void vtkPointSource::GetCenter | ( | float | data[3] | ) | `[virtual]`

| Set the center of the point cloud.

virtual void vtkPointSource::SetRadius | ( | float |  | ) | `[virtual]`

| Set the radius of the point cloud. If you are generating a Gaussian distribution, then this is the standard deviation for each of x, y, and z.

virtual float vtkPointSource::GetRadius | ( |  | ) | `[virtual]`

| Set the radius of the point cloud. If you are generating a Gaussian distribution, then this is the standard deviation for each of x, y, and z.

virtual void vtkPointSource::SetDistribution | ( | int |  | ) | `[virtual]`

| Specify the distribution to use. The default is a uniform distribution. The shell distribution produces random points on the surface of the sphere, none in the interior.

void vtkPointSource::SetDistributionToUniform | ( |  | ) | `[inline]`

| Specify the distribution to use. The default is a uniform distribution. The shell distribution produces random points on the surface of the sphere, none in the interior. Definition at line 87 of file vtkPointSource.h. References VTK_POINT_UNIFORM.

void vtkPointSource::SetDistributionToShell | ( |  | ) | `[inline]`

| Specify the distribution to use. The default is a uniform distribution. The shell distribution produces random points on the surface of the sphere, none in the interior. Definition at line 89 of file vtkPointSource.h. References VTK_POINT_SHELL.

virtual int vtkPointSource::GetDistribution | ( |  | ) | `[virtual]`

| Specify the distribution to use. The default is a uniform distribution. The shell distribution produces random points on the surface of the sphere, none in the interior.

void vtkPointSource::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkPointSource::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

## Member Data Documentation

vtkIdType vtkPointSource::NumberOfPoints`[protected]`

| Definition at line 101 of file vtkPointSource.h.

float vtkPointSource::Center[3]`[protected]`

| Definition at line 102 of file vtkPointSource.h.

float vtkPointSource::Radius`[protected]`

| Definition at line 103 of file vtkPointSource.h.

int vtkPointSource::Distribution`[protected]`

| Definition at line 104 of file vtkPointSource.h.

The documentation for this class was generated from the following file:

- Graphics/vtkPointSource.h